# fzmapper

Bash script to plot fracture zone cross-profiles on a Mercator map

## Synopsis

fzmapper [ -A ] [ -F origfile ] [ -G vgg_grid ] [ -L labelint ] [ -O ] [ -S ] [ -T prefix ] [ -V[level] ] [ -W width[c|i|p] ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

fzmapper is a Bash script developed as part of the Global Seafloor Fabric and Magnetic Lineation Project [see GSFML for a full description of the project]. It make a Mercator map of cross-profiles from the processed fracture zone (FZ) traces and cross-profiles as produced by grdtrack. Optionally, overlay analysis and blend results.

## Optional Arguments

-A

  In addition to the resampled FZ trace and the cross-profiles, overlay the result of fzanalyzer as color-coded points (red for data, green for trough, and blue for blend model) [No model results].

-F profile

  This is the original digitized FZ traces that was given as input to:doc:grdtrack </grdtrack>.

-G vgg_grid

  Optionally, supply the name of the VGG grid to use as background [@earth_vgg_02m].

-O

  Instead of making a stand-alone PDF plot, write a PostScript overlay to stdout, i.e., make the plot using the GMT -O -K options.

-S

  Overlay the smoothed FZ trace produced by fzblender [no overlay].

-T prefix

  Sets the file name prefix used for all input files as produced by fzanalyzer [default is fztrack]. The files are prefix_cross.txt and prefix_par.txt as well as the resampled output from grdtrack which should be called prefix_resampled.txt. When -S is set we also look for prefix_blend.txt as produced by fzblender, and with -A we also look for prefix_analysis.txt.

-W width[c|i|p]

  Sets the width of the Mercator map. Unless the measure unit is appended the unit is assumed to be whatever the GMT default PROJ_LENGTH_UNIT is currently set to.

-V[level]

  Select verbosity level [w]. (See full description) (See cookbook information).

## Examples

To look at the cross-profiles and the best-fit models and optimal FZ locations in map view, with the prefix used previously as “traces”, using a 9 inch wide Mercator, and only label every other profile, try:

    fzmapper -Ttraces -W9i -L2 -Fguides.txt -S -V -A

where we use the original digitized FZ locations guides.txt, choosing to annotate every other profile. The final map will be named prefix_map.pdf. For cross-section profiles, see fzprofiler.

## See Also

gmt fzanalyzer, fzblender, mlconverter, fzinformer, fzmodeler, fzprofiler, grdtrack

## References

Wessel, P., Matthews, K. J., Müller, R. D., Mazzoni, A., Whittaker, J. M., Myhill, R., Chandler, M. T., 2015, “Semiautomatic fracture zone tracking”, Geochem. Geophys. Geosyst., 16 (7), 2462–2472. https://doi.org/10.1002/2015GC005853.